Bug 173348 - emacs can not load libXaw3d.so.7
emacs can not load libXaw3d.so.7
Product: Fedora
Classification: Fedora
Component: Xaw3d (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
Depends On:
Blocks: xorg-modular
  Show dependency treegraph
Reported: 2005-11-16 10:12 EST by Brian Millett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-16 14:18:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2005-11-16 10:12:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051103 Fedora/1.5-0.5.0.rc1 Firefox/1.5

Description of problem:
when trying to launch emacs I get the following:
emacs: error while loading shared libraries: libXaw3d.so.7: cannot open shared object file: No such file or directory

But they are there:
[bpm]$ locate libXaw3d
[bpm]$ ls -l /usr/X11R6/lib/libXaw3d.so.7
lrwxrwxrwx 1 root root 15 Mar  4  2005 /usr/X11R6/lib/libXaw3d.so.7 -> libXaw3d.so.7.0
[bpm]$ ls -l /usr/X11R6/lib/libXaw3d.so.7.0
-rwxr-xr-x 1 root root 296308 Mar  3  2005 /usr/X11R6/lib/libXaw3d.so.7.0

Version-Release number of selected component (if applicable):
emacs-21.4-8 & Xaw3d-1.5E-4

How reproducible:

Steps to Reproduce:
1.launch emacs from a console
2.read error message

Actual Results:  See discription

Expected Results:  to work correctly

Additional info:

This is after doing the glorious update to the modular X11 this today (11/16/2005) on rawhide.
Comment 1 Jeremy Katz 2005-11-16 11:58:52 EST
The Xaw3d libs need to move to /usr/lib -- you can temporarily work around by
adding /usr/X11R6/lib (back) to LD_LIBRARY_PATH 
Comment 2 Ngo Than 2005-11-16 14:18:12 EST
it's fixed in Xaw3d-1.5E-6

Note You need to log in before you can comment on or make changes to this bug.